Cometchat-pro/react-native-chat v3

Hi there,

I’ve noticed there is version 3 is available for @cometchat-pro/react-native-chat.

  1. Are there any breaking changes and migration guides? I’m on v2.3.4.

  2. I see in docs mentioned @cometchat-pro/react-native-calls isn’t required anymore. Is it safe to just remove it after upgrade to version 3? (I’m using only chat functionality)

Hello @dimaportenko,

  1. You can check the migration guide here.

  2. Yes you can use just the Chat SDK, you can remove the calls package starting v2.4.0.

Warm Regards,

CometChat Pro
Mayur Bhandari